		Section	Program,code_c

;--------------	Macros -----------------------------------

BltWait:	Macro				Wait for blitter
Bltbusy\@:	Btst	#6,2(a6)
		Bne.s	Bltbusy\@
		Endm

Sync:		Macro				Syncronizise
Rastwait\@	Move.l	4(a6),d0
		And.l	#$1ff00,d0
		Lsr.l	#8,d0
		Cmp	#\1,d0
		Bne.s	Rastwait\@
		Endm

;--------------	Code -------------------------------------

Begin		Bsr	Init			Initiation
		Lea	$Dff000,a6		Custom register	
Disable		Cmp.b	#10,6(a6)		Wait for raster 10
		Bne.s	Disable
		Lea	Old_bits(pc),a0
		Move	$02(a6),(a0)		Save old DMA
		Move	$1C(a6),2(a0)		Save old irq
		Or.l	#$c000c000,(a0)+
		Move	#$7fff,$96(a6)		Turn off DMA
		Move	#$7fff,$9a(a6)		Turn off irq
		Move	#$7fff,$9c(a6)	
		Move.l	$6c.w,(a0)+
		Move.l	#Level3,$6c.w
		Move.l	#Copperlist,$80(a6)	Our Copperlist
		Move	#0,$88(a6)
		Move	#$83c0,$96(a6)		Turn on cop,bitplane,blt
		Move	#$c020,$9A(a6)		Allow interrupt


		Lea	Pattern1(pc),a6
		Bsr	Main
		Lea	Pattern2(pc),a6
		Bsr	Main
		Lea	Pattern3(pc),a6
		Bsr	Main
		Lea	Pattern4(pc),a6
		Bsr	Main
		Lea	Pattern5(pc),a6
		Bsr	Main
		Lea	Pattern6(pc),a6
		Bsr	Main
		Lea	Pattern7(pc),a6
		Bsr	Main
		Lea	Pattern8(pc),a6
		Bsr	Main



Wait		Btst	#6,$Bfe001
		Bne	Wait

Exit		Lea	$Dff000,a6
		Lea	Old_bits(pc),a0
		Move	#$7fff,$96(a6)		Turn off DMA
		Move	#$7fff,$9a(a6)		Turn off irq
		Move	(a0)+,$96(a6)		Reinstall DMA
		Move	(a0)+,$9a(a6)		Reinstall irq
		Move.l	(a0)+,$6c.w		and vector
		Move.l	#$420,$80(a6)		Old copper
		Moveq	#0,d0
		Rts
Old_bits	Ds.l	2


;--------------	Code -------------------------------------

Level3		Movem.l	a0-a6/d0-d7,-(sp)
		Bsr	Vbl
		Movem.l	(sp)+,a0-a6/d0-d7
Out		Move	#$7fff,$Dff09c
		Rte

Init		Bsr	Initiation

Initiation	Lea	Screen,a0		Clear memory
		Move	#$3fff,d7
Clear		Clr.l	(a0)+
		Dbf	d7,Clear
		Lea	Copper(pc),a0
		Lea	Copperlist,a1		Copper
Find_end	Move.l	(a0)+,d0
		Move.l	d0,(a1)+
		Cmpi.l	#0,d0
		Bne.s	Find_end
		Subq	#4,a1
		Lea	6(a1),a0		Start of color setting
		Move.l	a0,Copcol
		Move	#290-1,d7		No of Copper rasters
		Move.l	#$17b1fffe,d0		WAIT
Fill_copper	Move.l	d0,(a1)+
		Addi.l	#$01000000,d0
		Move.l	#$1820000,(a1)+		MOVE	
		Move.l	#$1840000,(a1)+
		Move.l	#$1860000,(a1)+
		Move.l	#$1880000,(a1)+
		Move.l	#$18a0000,(a1)+
		Move.l	#$18c0000,(a1)+
		Move.l	#$18e0000,(a1)+
		Move.l	#$1900000,(a1)+
		Move.l	#$1920000,(a1)+
		Move.l	#$1940000,(a1)+
		Move.l	#$1960000,(a1)+
		Move.l	#$1980000,(a1)+
		Move.l	#$19a0000,(a1)+
		Move.l	#$19c0000,(a1)+
		Move.l	#$19e0000,(a1)+
		Dbf	d7,Fill_copper
		Move.l	#$fffffffe,(a1)+
		Rts
Bit_pointer	Dc.w	0


;-------------- Draw screen  a6=pattern ------------------------

Main		Lea	Bitplane0,a0		Screen planes
		Lea	Bitplane1,a1
		Lea	Bitplane2,a2
		Lea	Bitplane3,a3
		Move.l	(a6)+,a4		Bitmaps
		Lea	Cosinus(pc),a5		Cosinus
		Move	(a6)+,d1		Start values
		Move	(a6)+,d2
		Move	(a6)+,d3
		Move	(a6)+,d4

		Move	#290-1,d6		No of scanlines
		Move.b	#7,d0			Bit
Next_scan	Move	#Bits-1,d7		No of bits in one scan
Next_bit	Move.b	d0,Bit_pointer		
		Move	0(a5,d1),d5
		Addi	#$4000,d5
		Lsr	#7,d5			d5 = Cos(d1)
		Move	0(a5,d2),d0
		Addi	#$4000,d0
		Lsr	#7,d0
		Add	d0,d5			+ Cos(d2)
		Move	0(a5,d3),d0
		Addi	#$4000,d0
		Lsr	#7,d0
		Add	d0,d5			+ Cos(d3)
		Move	0(a5,d4),d0
		Addi	#$4000,d0
		Lsr	#7,d0
		Add	d0,d5			+Cos(d4)
		Lsr	#1,d5
		Lsl	#1,d5

Plot_bit	Move	0(a4,d5),d5		d5 = bitmap
		Move.b	Bit_pointer(pc),d0
		Bclr	d0,(a3)			Set or clear bits in all
		Btst	#3,d5			planes
		Beq.s	Plane2
		Bset	d0,(a3)
Plane2		Bclr	d0,(a2)
		Btst	#2,d5
		Beq.s	Plane1
		Bset	d0,(a2)
Plane1		Bclr	d0,(a1)
		Btst	#1,d5
		Beq.s	Plane0
		Bset	d0,(a1)
Plane0		Bclr	d0,(a0)
		Btst	#0,d5
		Beq.s	Ready
		Bset	d0,(a0)
Ready		Subi.b	#1,d0
		Bpl.s	No_underflow
		Addi.b	#8,d0			Perform calculations
		Addq	#1,a0			on bit #7
		Addq	#1,a1			in next byte
		Addq	#1,a2
		Addq	#1,a3

No_underflow	Add	(a6),d1
		Add	2(a6),d2
		Add	4(a6),d3
		Add	6(a6),d4
		Andi	#$1ffe,d1
		Andi	#$1ffe,d2
		Andi	#$1ffe,d3
		Andi	#$1ffe,d4
		Dbf	d7,Next_bit

		Sub	8(a6),d1
		Sub	10(a6),d2
		Sub	12(a6),d3
		Sub	14(a6),d4
		Andi	#$1ffe,d1
		Andi	#$1ffe,d2
		Andi	#$1ffe,d3
		Andi	#$1ffe,d4
		Dbf	d6,Next_scan
		Lea	$Dff000,a6
		Rts


Vbl		Lea	$Dff000,a6
		Move	#$8400,$96(a6)
		Movea.l	Copcol(pc),a0		Copper
		Lea	Cosinus(pc),a1
		Move.l	#Area,d3
		Move	#$1ffe,d0
		Move	#$4000,d1
		Move	#15-1,d7		16 colors

		Movem	Rgb(pc),d4-d6
Angles		Addi	#20,d4
		Addi	#26,d5
		Addi	#-30,d6
		And	d0,d4
		And	d0,d5
		And	d0,d6
		Movem	d4-d6,Rgb

Next_colreg	Addi	#36,d4
		Addi	#-30,d5
		Addi	#24,d6
		And	d0,d4			0-8192
		And	d0,d5
		And	d0,d6
		Movea.l	d3,a2
		Movea.l	d3,a3
		Movea.l	d3,a4

		Move	0(a1,d4),d2
		Add	d1,d2
		Lsr	#7,d2
		Lsl	#1,d2			d2 = 0-512
		Adda	d2,a2

		Move	0(a1,d5),d2
		Add	d1,d2
		Lsr	#7,d2
		Lsl	#1,d2
		Adda	d2,a3

		Move	0(a1,d6),d2
		Add	d1,d2
		Lsr	#7,d2
		Lsl	#1,d2
		Adda	d2,a4

		BltWait
		Move.l	#$8ffe4000,$40(a6)	D=(A+8)+(B+4)+C
		Move.l	#-1,$44(a6)
		Move.l	a3,$48(a6)		C => red
		Move.l	a4,$4c(a6)		B => green
		Move.l	a2,$50(a6)		A => blue
		Move.l	a0,$54(a6)		D => copper
		Clr.l	$60(a6)			Mod A,B,C = 0
		Move.l	#62,$64(a6)		Mod D = 62
		Move	#290*64+1,$58(a6)
		Addq	#4,a0
		Dbf	d7,Next_colreg
		Rts

Copper		Dc.w	$8e,$1771
		Dc.w	$90,$39d1
		Dc.w	$92,$30			46 bytes/raster
		Dc.w	$94,$d8
		Dc.w	$e0,7
		Dc.w	$e2,0
		Dc.w	$e4,7
		Dc.w	$e6,Bpsize
		Dc.w	$e8,7
		Dc.w	$ea,2*Bpsize
		Dc.w	$ec,7
		Dc.w	$ee,3*Bpsize
Sprite		Dc.w	$120,0
		Dc.w	$122,0
		Dc.w	$124,0
		Dc.w	$126,0
		Dc.w	$128,0
		Dc.w	$12a,0
		Dc.w	$12c,0
		Dc.w	$12e,0
		Dc.w	$130,0
		Dc.w	$132,0
		Dc.w	$134,0
		Dc.w	$136,0
		Dc.w	$138,0
		Dc.w	$13a,0
		Dc.w	$13c,0
		Dc.w	$13e,0

		Dc.w	$180,0
		Dc.w	$100,$4200
Copend		Dc.l	0


Pattern1	Dc.l	Col1
		Dc.w	7616,768,7040,960
		Dc.w	8,12,-4,-16
		Dc.w	8*Bits+12
		Dc.w	12*Bits-16
		Dc.w	-4*Bits+24
		Dc.w	-16*Bits-20

Pattern2	Dc.l	Col1
		Dc.w	200,468,2040,196
		Dc.w	6,-30,2,16
		Dc.w	6*Bits-12
		Dc.w	-30*Bits+16
		Dc.w	2*Bits-24
		Dc.w	16*Bits+20

Pattern3	Dc.l	Col1
		Dc.w	10,10,10,10
		Dc.w	2,8,16,32
		Dc.w	2*Bits-2
		Dc.w	8*Bits-8
		Dc.w	16*Bits-16
		Dc.w	32*Bits-32

Pattern4	Dc.l	Col1
		Dc.w	0,-20,40,-80
		Dc.w	2,2,2,2
		Dc.w	2*Bits-2
		Dc.w	2*Bits-2
		Dc.w	2*Bits-2
		Dc.w	2*Bits-2

Pattern5	Dc.l	Col1
		Dc.w	344,-100,346,2
		Dc.w	18,-2,58,8
		Dc.w	18*Bits-34
		Dc.w	-2*Bits-4
		Dc.w	58*Bits+24
		Dc.w	8*Bits-20
		DC.L	-1


Pattern6	Dc.l	Col1
		Dc.w	0,0,0,0
		Dc.w	8,8,8,8
		Dc.w	8*Bits-8
		Dc.w	8*Bits+8
		Dc.w	8*Bits+8
		Dc.w	8*Bits-2


Pattern7	Dc.l	Col1
		Dc.w	344,-100,346,2
		Dc.w	10,-2,28,4
		Dc.w	10*Bits-18
		Dc.w	-2*Bits-2
		Dc.w	28*Bits+12
		Dc.w	4*Bits-10

Pattern8	Dc.l	Col1
		Dc.w	346,102,-368,104
		Dc.w	4,6,-32,-78
		Dc.w	4*Bits-24
		Dc.w	6*Bits+14
		Dc.w	-32*Bits-68
		Dc.w	-78*Bits-10



Patt		Dc.l	Pattern8

Copperlist	Equ	$60000
Copcol		Dc.l	0

Bits		Equ	352
Scan		Equ	44
Bpsize		Equ	290*scan
Screen		Equ	$70000
Bitplane0	Equ	Screen+Scan
Bitplane1	Equ	Bitplane0+Bpsize
Bitplane2	Equ	Bitplane1+Bpsize
Bitplane3	Equ	Bitplane2+Bpsize

Rgb		Ds.w	3

Cosinus		Incbin	PA2:Plasma/Plasma.dat	


Area
	Dc.w	0,0,$100,$200
	Dc.w	$300,$400,$500,$600
	Dc.w	$700,$800,$900,$A00
	Dc.w	$B00,$C00,$D00,$E00
	Dc.w	$F00,$F00,$F00,$F00
	Dc.w	$E00,$D00,$C00,$B00
	Dc.w	$A00,$900,$800,$700
	Dc.w	$600,$500,$400,$300
	Dc.w	$200,$100,0,0
	Dc.w	0,0,0,0
	Dc.w	0,0,0,0
	Dc.w	0,0,0,0
	Dc.w	0,0,$100,$100
	Dc.w	$200,$200,$300,$300
	Dc.w	$400,$400,$500,$500
	Dc.w	$600,$600,$700,$700
	Dc.w	$800,$800,$900,$900
	Dc.w	$A00,$A00,$B00,$B00
	Dc.w	$C00,$C00,$C00,$C00
	Dc.w	$B00,$B00,$A00,$A00
	Dc.w	$900,$900,$900,$900
	Dc.w	$A00,$A00,$B00,$B00
	Dc.w	$C00,$C00,$D00,$D00
	Dc.w	$E00,$E00,$F00,$F00
	Dc.w	$F00,$F00,$E00,$E00
	Dc.w	$D00,$D00,$C00,$C00
	Dc.w	$B00,$B00,$A00,$A00
	Dc.w	$900,$900,$900,$900
	Dc.w	$A00,$A00,$B00,$B00
	Dc.w	$C00,$C00,$C00,$C00
	Dc.w	$B00,$B00,$A00,$A00
	Dc.w	$900,$900,$800,$800
	Dc.w	$700,$700,$600,$600
	Dc.w	$500,$500,$400,$400
	Dc.w	$300,$300,$200,$200
	Dc.w	$100,$100,0,0
	Dc.w	0,0,0,0
	Dc.w	0,0,0,0
	Dc.w	0,0,0,0
	Dc.w	0,0,0
	Dc.w	0,$100,$100,$200,$200
	Dc.w	$300,$300,$400,$400
	Dc.w	$500,$500,$600,$600
	Dc.w	$700,$700,$800,$800
	Dc.w	$900,$900,$A00,$A00
	Dc.w	$B00,$B00,$C00,$C00
	Dc.w	$C00,$C00,$B00,$B00
	Dc.w	$A00,$A00,$900,$900
	Dc.w	$900,$900,$A00,$A00
	Dc.w	$B00,$B00,$C00,$C00
	Dc.w	$D00,$D00,$E00,$E00
	Dc.w	$F00,$F00,$F00,$F00
	Dc.w	$E00,$E00,$D00,$D00
	Dc.w	$C00,$C00,$B00,$B00
	Dc.w	$A00,$A00,$900,$900
	Dc.w	$900,$900,$A00,$A00
	Dc.w	$B00,$B00,$C00,$C00
	Dc.w	$C00,$C00,$B00,$B00
	Dc.w	$A00,$A00,$900,$900
	Dc.w	$800,$800,$700,$700
	Dc.w	$600,$600,$500,$500
	Dc.w	$400,$400,$300,$300
	Dc.w	$200,$200,$100,$100
	Dc.w	0,0,0,0
	Dc.w	0,0,0,0
	Dc.w	0,0,0,0
	Dc.w	0,0,0,0
	Dc.w	0,0,$100,$100
	Dc.w	$200,$200,$300,$300
	Dc.w	$400,$400,$500,$500
	Dc.w	$600,$600,$700,$700
	Dc.w	$800,$800,$900,$900
	Dc.w	$A00,$A00,$B00,$B00
	Dc.w	$C00,$C00,$C00,$C00
	Dc.w	$B00,$B00,$A00,$A00
	Dc.w	$900,$900,$900,$900
	Dc.w	$A00,$A00,$B00,$B00
	Dc.w	$C00,$C00,$D00,$D00
	Dc.w	$E00,$E00,$F00,$F00
	Dc.w	$F00,$F00,$E00,$E00
	Dc.w	$D00,$D00,$C00,$C00
	Dc.w	$B00,$B00,$A00,$A00
	Dc.w	$900,$900,$900,$900
	Dc.w	$A00,$A00,$B00,$B00
	Dc.w	$C00,$C00,$C00,$C00
	Dc.w	$B00,$B00,$A00,$A00
	Dc.w	$900,$900,$800,$800
	Dc.w	$700,$700,$600,$600
	Dc.w	$500,$500,$400,$400
	Dc.w	$300,$300,$200,$200
	Dc.w	$100,$100,0,0
	Dc.w	0,0,0,0
	Dc.w	$100,$200,$300,$400
	Dc.w	$500,$600,$700,$800
	Dc.w	$900,$A00,$B00,$C00
	Dc.w	$D00,$E00,$F00,$F00
	Dc.w	$F00,$F00,$E00,$D00
	Dc.w	$C00,$B00,$A00,$900
	Dc.w	$800,$700,$600,$500
	Dc.w	$400,$300,$200,$100
	Dc.w	0,0,0,0
	Dc.w	0,0,$100,$100
	Dc.w	$200,$200,$300,$300
	Dc.w	$400,$400,$500,$500
	Dc.w	$600,$600,$700,$700
	Dc.w	$800,$800,$900,$900
	Dc.w	$A00,$A00,$B00,$B00
	Dc.w	$C00,$C00,$C00,$C00
	Dc.w	$B00,$B00,$A00,$A00
	Dc.w	$900,$900,$900,$900
	Dc.w	$A00,$A00,$B00,$B00
	Dc.w	$C00,$C00,$D00,$D00
	Dc.w	$E00,$E00,$F00,$F00
	Dc.w	$F00,$F00,$E00,$E00
	Dc.w	$D00,$D00,$C00,$C00
	Dc.w	$B00,$B00,$A00,$A00
	Dc.w	$900,$900,$900,$900
	Dc.w	$A00,$A00,$B00,$B00
	Dc.w	$C00,$C00,$C00,$C00
	Dc.w	$B00,$B00,$A00,$A00
	Dc.w	$900,$900,$800,$800
	Dc.w	$700,$700,$600,$600
	Dc.w	$500,$500,$400,$400
	Dc.w	$300,$300,$200,$200
	Dc.w	$100,$100,0,0,0,0
	Dc.w	0,0,$100,$200
	Dc.w	$300,$400,$500,$600
	Dc.w	$700,$800,$900,$A00
	Dc.w	$B00,$C00,$D00,$E00
	Dc.w	$F00,$F00,$F00,$F00
	Dc.w	$E00,$D00,$C00,$B00
	Dc.w	$A00,$900,$800,$700
	Dc.w	$600,$500,$400,$300
	Dc.w	$200,$100,0,0
	Dc.w	0,0,0,0
	Dc.w	0,0,0,0,0


Col1	Dc.w	1,1,1,1
	Dc.w	1,2,2,3
	Dc.w	4,5,6,7
	Dc.w	8,9,$A,$B
	Dc.w	$C,$D,$E,$E
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$E,$E
	Dc.w	$D,$C,$B,$A
	Dc.w	9,8,7,6
	Dc.w	5,4,3,2
	Dc.w	2,1,1,1
	Dc.w	1,1,1,2
	Dc.w	2,3,4,5
	Dc.w	6,7,8,9
	Dc.w	$A,$B,$C,$D
	Dc.w	$E,$E,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$E,$E,$D,$C
	Dc.w	$B,$A,9,8
	Dc.w	7,6,5,4
	Dc.w	3,2,2,1
	Dc.w	1,1,1,1
	Dc.w	1,2,2,3
	Dc.w	4,5,6,7
	Dc.w	8,9,$A,$B
	Dc.w	$C,$D,$E,$E
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$E,$E
	Dc.w	$D,$C,$B,$A
	Dc.w	9,8,7,6
	Dc.w	5,4,3,2
	Dc.w	2,1,1,1
	Dc.w	1,1,1,2
	Dc.w	2,3,4,5
	Dc.w	6,7,8,9
	Dc.w	$A,$B,$C,$D
	Dc.w	$E,$E,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$E,$E,$D,$C
	Dc.w	$B,$A,9,8
col2	Dc.w	7,6,5,4
	Dc.w	3,2,2,1
	Dc.w	1,1,1,1
	Dc.w	1,2,2,3
	Dc.w	4,5,6,7
	Dc.w	8,9,$A,$B
	Dc.w	$C,$D,$E,$E
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$E,$E
	Dc.w	$D,$C,$B,$A
	Dc.w	9,8,7,6
	Dc.w	5,4,3,2
	Dc.w	2,1,1,1
	Dc.w	1,1,1,2
	Dc.w	2,3,4,5
	Dc.w	6,7,8,9
	Dc.w	$A,$B,$C,$D
	Dc.w	$E,$E,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$E,$E,$D,$C
	Dc.w	$B,$A,9,8
	Dc.w	7,6,5,4
	Dc.w	3,2,2,1
	Dc.w	1,1,1,1
	Dc.w	1,2,2,3
	Dc.w	4,5,6,7
	Dc.w	8,9,$A,$B
	Dc.w	$C,$D,$E,$E
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$E,$E
	Dc.w	$D,$C,$B,$A
	Dc.w	9,8,7,6
	Dc.w	5,4,3,2
	Dc.w	2,1,1,1
	Dc.w	1,1,1,2
	Dc.w	2,3,4,5
	Dc.w	6,7,8,9
	Dc.w	$A,$B,$C,$D
	Dc.w	$E,$E,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$E,$E,$D,$C
	Dc.w	$B,$A,9,8
	Dc.w	7,6,5,4
	Dc.w	3,2,2,1
	Dc.w	1,1,1,1
	Dc.w	1,2,2,3
	Dc.w	4,5,6,7
	Dc.w	8,9,$A,$B
	Dc.w	$C,$D,$E,$E
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$E,$E
	Dc.w	$D,$C,$B,$A
	Dc.w	9,8,7,6
	Dc.w	5,4,3,2
	Dc.w	2,1,1,1
	Dc.w	1,1,1,2
	Dc.w	2,3,4,5
	Dc.w	6,7,8,9
	Dc.w	$A,$B,$C,$D
	Dc.w	$E,$E,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$E,$E,$D,$C
	Dc.w	$B,$A,9,8
	Dc.w	7,6,5,4
	Dc.w	3,2,2,1
	Dc.w	1,1,1,1
	Dc.w	1,2,2,3
	Dc.w	4,5,6,7
	Dc.w	8,9,$A,$B
	Dc.w	$C,$D,$E,$E
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$E,$E
	Dc.w	$D,$C,$B,$A
	Dc.w	9,8,7,6
	Dc.w	5,4,3,2
	Dc.w	2,1,1,1
	Dc.w	1,1,1,2
	Dc.w	2,3,4,5
	Dc.w	6,7,8,9
	Dc.w	$A,$B,$C,$D
	Dc.w	$E,$E,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$E,$E,$D,$C
	Dc.w	$B,$A,9,8
	Dc.w	7,6,5,4
	Dc.w	3,2,2,1
	Dc.w	1,1,1,1
	Dc.w	1,2,2,3
	Dc.w	4,5,6,7
	Dc.w	8,9,$A,$B
	Dc.w	$C,$D,$E,$E
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$E,$E
	Dc.w	$D,$C,$B,$A
	Dc.w	9,8,7,6
	Dc.w	5,4,3,2
	Dc.w	2,1,1,1
	Dc.w	2,2,2,1
	Dc.w	1,1,1,1
	Dc.w	1,1,1,1
	Dc.w	1,2,2,2
	Dc.w	2,2,2,2
	Dc.w	3,3,3,3
	Dc.w	4,4,4,4
	Dc.w	5,5,5,5
	Dc.w	6,6,6,6
	Dc.w	7,7,7,7
	Dc.w	8,8,8,8
	Dc.w	9,9,9,9
	Dc.w	$A,$A,$A,$A
	Dc.w	$B,$B,$B,$B
	Dc.w	$C,$C,$C,$C
	Dc.w	$D,$D,$D,$D
	Dc.w	$E,$E,$E,$E
	Dc.w	$E,$E,$E,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$F,$E
	Dc.w	$E,$E,$E,$E
	Dc.w	$E,$E,$D,$D
	Dc.w	$D,$D,$C,$C
	Dc.w	$C,$C,$B,$B
	Dc.w	$B,$B,$A,$A
	Dc.w	$A,$A,9,9
	Dc.w	9,9,8,8
	Dc.w	8,8,7,7
	Dc.w	7,7,6,6
	Dc.w	6,6,5,5
	Dc.w	5,5,4,4
	Dc.w	4,4,3,3
	Dc.w	3,3,2,2
	Dc.w	2,2,2,2
	Dc.w	2,1,1,1
	Dc.w	1,1,1,1
	Dc.w	1,1,1,2
	Dc.w	2,2,2,2
	Dc.w	2,2,3,3
	Dc.w	3,3,4,4
	Dc.w	4,4,5,5
	Dc.w	5,5,6,6
	Dc.w	6,6,7,7
	Dc.w	7,7,8,8
	Dc.w	8,8,9,9
	Dc.w	9,9,$A,$A
	Dc.w	$A,$A,$B,$B
	Dc.w	$B,$B,$C,$C
	Dc.w	$C,$C,$D,$D
	Dc.w	$D,$D,$E,$E
	Dc.w	$E,$E,$E,$E
	Dc.w	$E,$F,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$E,$E,$E
	Dc.w	$E,$E,$E,$E
	Dc.w	$D,$D,$D,$D
	Dc.w	$C,$C,$C,$C
	Dc.w	$B,$B,$B,$B
	Dc.w	$A,$A,$A,$A
	Dc.w	9,9,9,9
	Dc.w	8,8,8,8
	Dc.w	7,7,7,7
	Dc.w	6,6,6,6
	Dc.w	5,5,5,5
	Dc.w	4,4,4,4
	Dc.w	3,3,3,3
	Dc.w	2,2,2,2
	Dc.w	2,2,2,1
	Dc.w	1,1,1,1
	Dc.w	1,1,1,1
	Dc.w	1,2,2,2
	Dc.w	2,2,2,2
	Dc.w	3,3,3,3
	Dc.w	4,4,4,4
	Dc.w	5,5,5,5
	Dc.w	6,6,6,6
	Dc.w	7,7,7,7
	Dc.w	8,8,8,8
	Dc.w	9,9,9,9
	Dc.w	$A,$A,$A,$A
	Dc.w	$B,$B,$B,$B
	Dc.w	$C,$C,$C,$C
	Dc.w	$D,$D,$D,$D
	Dc.w	$E,$E,$E,$E
	Dc.w	$E,$E,$E,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$F,$E
	Dc.w	$E,$E,$E,$E
	Dc.w	$E,$E,$D,$D
	Dc.w	$D,$D,$C,$C
	Dc.w	$C,$C,$B,$B
	Dc.w	$B,$B,$A,$A
	Dc.w	$A,$A,9,9
	Dc.w	9,9,8,8
	Dc.w	8,8,7,7
	Dc.w	7,7,6,6
	Dc.w	6,6,5,5
	Dc.w	5,5,4,4
	Dc.w	4,4,3,3
	Dc.w	3,3,2,2
	Dc.w	2,2,2,2
	Dc.w	2,1,1,1
	Dc.w	1,1,1,1
	Dc.w	1,1,1,2
	Dc.w	2,2,2,2
	Dc.w	2,2,3,3
	Dc.w	3,3,4,4
	Dc.w	4,4,5,5
	Dc.w	5,5,6,6
	Dc.w	6,6,7,7
	Dc.w	7,7,8,8
	Dc.w	8,8,9,9
	Dc.w	9,9,$A,$A
	Dc.w	$A,$A,$B,$B
	Dc.w	$B,$B,$C,$C
	Dc.w	$C,$C,$D,$D
	Dc.w	$D,$D,$E,$E
	Dc.w	$E,$E,$E,$E
	Dc.w	$E,$F,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$F,$F,$F
	Dc.w	$F,$E,$E,$E
	Dc.w	$E,$E,$E,$E
	Dc.w	$D,$D,$D,$D
	Dc.w	$C,$C,$C,$C
	Dc.w	$B,$B,$B,$B
	Dc.w	$A,$A,$A,$A
	Dc.w	9,9,9,9
	Dc.w	8,8,8,8
	Dc.w	7,7,7,7
	Dc.w	6,6,6,6




